Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451409 - some service utilizes disk too much
Summary: some service utilizes disk too much
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: 9
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-14 08:26 UTC by kb
Modified: 2013-01-10 01:50 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-14 18:49:13 UTC


Attachments (Terms of Use)

Description kb 2008-06-14 08:26:30 UTC
Description of problem:
After making a fresh F9 installation the poor computer swaps (or reads/writes)
to/from the hard disk so much that the computer stops responding for minutes at
the time.
This repeats more or less every 15-30 minutes and more often if the computer is
recently restarted.

my guess is that there is some indexing service running, but it's not showing up
on in the top command output, it is probably very low on CPU.

perhaps all indexing services should be much less aggressive in the future.

and if you have an idea on which service could cause the problem, please write a
line. 





How reproducible:
Install fedora 9.

  
Actual results:
computer reads(/writes) disk like crazy, even when there is are other
applications running.

Expected results:
When no applications use the disk, the OS should not do anything on the disk, or
very little.


Additional info:

Comment 1 kb 2008-07-08 19:45:07 UTC
sorry for changing the severity.
but this problem really makes the computer useless.
i just sat around and waited for 20 minutes for the OS to calm down.
the disk operations are still running a lot but at least i can type something on
the machine.

please let me know if i can help you in any way.
perhaps there is a top command for the disk read/writes that i could issue to
find out which processes read/write the most?



Comment 2 Jesse Keating 2008-07-08 20:24:38 UTC
Try iotop.  We can't really fix your issue without knowing what process you're
seeing cause the disk I/O.

Comment 3 kb 2008-07-14 18:21:23 UTC
thank you a lot for the info on iotop.
This bug may be closed and rejected. After a few days of testing only one
application stood as the possible problem, firefox.

hence i will file a bug there and again apologize here.




Note You need to log in before you can comment on or make changes to this bug.